{*******************************************************}
{          Copyright (c) 2000 Vlad Korshunov            }
{                   IPH tools project                   }
{                   String constants                    }
{*******************************************************}
unit iphconsts;

interface

const
  SWin32Error = 'Win32 Error.  Code: %d.'#10'%s, on API ''%s''';
  SUnkWin32Error = 'A Win32 API function failed, on API ''%s''';
  sErrorBindProcedure ='Can''t bind procedure %s in library %s.'#13#10'%s';

  sWindowsSocketError = 'Windows socket error %s (%d), on API ''%s''';
  sCannotCreateSocket = 'Can''t create new socket';

  sTemplateParamNode = 'Params';
  sNewViewGroupName= 'New group';
  sGroupNameAlreadyExists = 'Group name already exists';

  sNoDNSEntryFound = 'No DNS entry found';

  sClearPrevious = 'Clear previous results ?';
  sStatusActive = 'Active';
  sStatusInactive = 'Inactive';
  sProbesCount = 'Probes: %d';
  sResultNumbColumn = 'No';
  sResultAllResults = 'All results';
  sTemplate = 'template';

  grVisibleParams = 'Visible params';

  sRootAlias = 'ROOT';
  sInvalidAlias = 'Invalid alias %s';
  sInvalidParameter = 'Invalid parameter %s';
  sInvalidItemLevel = 'Invalid item level. Item: %s';
  sTerminateLoading = ' Terminate loading ?';
  sResultParamNoParent = 'Result param does not have parent';
  sParamVlaueNotParent = 'Param value does not have parent';

  sProbeParamEmpty = 'Parameter %s can not be empty';
  sErrorLoadingPlugin = 'Can''t load plugin %s.'#13#10'%s';
  sInvalidData = 'Invalid data parameter passed to callback';
  sParamMustBeNotLess = 'Parameter %s must be not less than %s';

  SParameterNotFound = 'Parameter ''%s'' not found';
  SInvalidVersion = 'Unable to load bind parameters';
  SUnknownFieldType = 'Field ''%s'' is of an unknown type';
  SBadFieldType = 'Field ''%s'' is of an unsupported type';
  STextFalse = 'False';
  STextTrue = 'True';
  sInvalidIPAddress = 'Invalid IP Address value %s';

  sNotExpectToken='Not expected token: %s. Expected: %s';
  sParserStackEmpty = 'Possibly count of begin operands not equal count of end operands';

  sDynamicControlsOnly = 'Invalid control. Olny dynamic controls supported';

  sSuccess = 'Success';
  sFailed = 'Failed';

  fnSession = 'Saved sessions (*.iph)';
  fnTemplate  = 'Session templates (*.ips)';
  fnAllFiles = 'All files (*.*)';
  cptNoname = 'NONAME';

  sIPRangeIteratorDesc   = 'Iterate the range of ip addresses';
  sPortRangeIteratorDesc = 'Iterate the range of ports';
  sPingDesc = 'Tries to ping target IP address. Uses Winsock 2.0 features';
  sHostByNameDesc  = 'Lookup IP adress by host name';
  sHostByAddrDesc = 'Lookup host name by IP adress';
  sTCPPortProbeDesc = 'Tries to connect to target port. Return data sended by host';
  sHostAddressDesc = 'Convert IP Address or host name to IP Address';
implementation

end.
